// 1/2
#include<bits/stdc++.h>
#define int long long
using namespace std;
const int MAXN = 1e6, MAXBIT = 30;
int32_t main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);cout.tie(NULL);
    int n, k; cin >> n >> k;
    vector<int>a(n);
    for(auto &i : a){
        cin >> i;

    }
    cout << 1 << endl;
    return 0;
}
